| Tilt Five NDK |

Public Types | Public Member Functions
tiltfive::Result< void > Class Reference

Specialization of tiltfive::Result for functions with 'no return'. More...

`#include <result.hpp>`

Collaboration diagram for tiltfive::Result< void >:
[legend]

## Public Types
using | Value = void

## Public Member Functions
| Result (std::error_code err) noexcept
| Result (Result &&other)
| Result (const Result &other) noexcept
template<typename ErrorCodeEnum , typename = typename std::enable_if<std::is_error_code_enum<ErrorCodeEnum>::value>::type>
| Result (ErrorCodeEnum err) noexcept
| Result (std::errc err) noexcept
| Result (success_t) noexcept
auto | operator= (Result &&other) -> Result &
auto | operator= (const Result &other) -> Result &
auto | operator= (success_t) -> Result &
| operator bool () const noexcept
auto | operator== (success_t) const noexcept -> bool
auto | error () const noexcept -> std::error_code
auto | logged () const noexcept -> bool
auto | skipped () const noexcept -> bool

## Detailed Description

Specialization of tiltfive::Result for functions with 'no return'.

Definition at line 199 of file result.hpp.

## Member Typedef Documentation

## ◆ Value

using tiltfive::Result< void >::Value = void

Definition at line 201 of file result.hpp.

## Constructor & Destructor Documentation

## ◆ Result() [1/7]

tiltfive::Result< void >::Result | ( |  | ) |
| inline noexcept

Definition at line 203 of file result.hpp.

## ◆ Result() [2/7]

tiltfive::Result< void >::Result | ( | std::error_code | err | ) |
| inline noexcept

Definition at line 205 of file result.hpp.

## ◆ Result() [3/7]

tiltfive::Result< void >::Result | ( | Result< void > && | other | ) |
| inline

Definition at line 207 of file result.hpp.

## ◆ Result() [4/7]

tiltfive::Result< void >::Result | ( | const Result< void > & | other | ) |
| inline noexcept

Definition at line 213 of file result.hpp.

## ◆ Result() [5/7]

template<typename ErrorCodeEnum , typename = typename std::enable_if<std::is_error_code_enum<ErrorCodeEnum>::value>::type>

tiltfive::Result< void >::Result | ( | ErrorCodeEnum | err | ) |
| inline noexcept

Definition at line 222 of file result.hpp.

## ◆ Result() [6/7]

tiltfive::Result< void >::Result | ( | std::errc | err | ) |
| inline noexcept

Definition at line 224 of file result.hpp.

## ◆ Result() [7/7]

tiltfive::Result< void >::Result | ( | success_t |  | ) |
| inline noexcept

Definition at line 226 of file result.hpp.

## ◆ ~Result()

tiltfive::Result< void >::~Result | ( |  | ) |
| inline

Definition at line 228 of file result.hpp.

## Member Function Documentation

## ◆ error()

auto tiltfive::Result< void >::error | ( |  | ) | const -> std::error_code
| inline noexcept

Definition at line 286 of file result.hpp.

## ◆ logged()

auto tiltfive::Result< void >::logged | ( |  | ) | const -> bool
| inline noexcept

Definition at line 293 of file result.hpp.

## ◆ operator bool()

tiltfive::Result< void >::operator bool | ( |  | ) | const
| inline explicit noexcept

Definition at line 278 of file result.hpp.

## ◆ operator=() [1/3]

auto tiltfive::Result< void >::operator= | ( | const Result< void > & | other | ) | -> Result&
| inline

Definition at line 252 of file result.hpp.

## ◆ operator=() [2/3]

auto tiltfive::Result< void >::operator= | ( | Result< void > && | other | ) | -> Result&
| inline

Definition at line 235 of file result.hpp.

## ◆ operator=() [3/3]

auto tiltfive::Result< void >::operator= | ( | success_t |  | ) | -> Result&
| inline

Definition at line 269 of file result.hpp.

## ◆ operator==()

auto tiltfive::Result< void >::operator== | ( | success_t |  | ) | const -> bool
| inline noexcept

Definition at line 282 of file result.hpp.

## ◆ skipped()

auto tiltfive::Result< void >::skipped | ( |  | ) | const -> bool
| inline noexcept

Definition at line 297 of file result.hpp.

## Field Documentation

## ◆ mDummy

uint8_t tiltfive::Result< void >::mDummy[sizeof(std::error_code)] {}

Definition at line 311 of file result.hpp.

## ◆ mErr

std::error_code tiltfive::Result< void >::mErr

Definition at line 312 of file result.hpp.

The documentation for this class was generated from the following file:

- result.hpp